﻿using System;
using System.Windows.Forms;

namespace Discovery
{
    public partial class AboutForm : BaseForm
    {
        private static TimeSpan DWELL_TIME_ABOUT_BUTTONS = new TimeSpan(0, 0, 0, 1, 500);
        public AboutForm()
        {
            InitializeComponent();
        }

        internal override void GazeDataReceived(object sender, Tobii.Eyetracking.Sdk.GazeDataEventArgs e)
        {
            base.GazeDataReceived(sender, e);

            var gd = e.GazeDataItem;

            if (GazeDataValid(gd))
            {
                if (IsUserGazingAt(_homeButton))
                    DoButtonInteraction(_homeButton, DWELL_TIME_ABOUT_BUTTONS);
                else
                {
                    FirstTimeUserLooksAtControl = true;
                    _homeButton.BackgroundImage = null;
                }
            }
        }

        private void _homeButton_Click(object sender, System.EventArgs e)
        {
            Close();
        }

        private void AboutForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            Dispose();
        }

        private void AboutForm_Load(object sender, EventArgs e)
        {
            UpdateDwellTimeLabel(DWELL_TIME_ABOUT_BUTTONS);
        }
    }
}
