﻿using System;
using System.Windows.Forms;

namespace Discovery.Calib
{
    public partial class CalibrationInstructions : Form
    {
        private readonly Timer _timer;
        private int _seconds;

        public CalibrationInstructions(int seconds)
        {
            InitializeComponent();
            _seconds = seconds;
            _timer = new Timer {Interval = 1000};
            _timer.Tick += UpdateCountDownLabel;
        }

        private void UpdateCountDownLabel(object sender, EventArgs e)
        {
            _seconds--;
            if (_seconds == 0)
            {
                DialogResult = DialogResult.OK;
                Close();
            }
            _countDownLabel.Text = "" + _seconds;
        }

        private void CalibrationInstructions_Load(object sender, EventArgs e)
        {
            _timer.Start();
        }

        private void CalibrationInstructions_FormClosing(object sender, FormClosingEventArgs e)
        {
            Dispose();
        }
    }
}
