﻿using System.Collections.Concurrent;

namespace Discovery
{
    //http://stackoverflow.com/questions/5852863/fixed-size-queue-which-automatically-dequeues-old-values-upon-new-enques

    public class FixedSizedQueue<T>
    {
        private readonly ConcurrentQueue<T> _queue;

        public FixedSizedQueue(int limit)
        {
            _queue = new ConcurrentQueue<T>();
            Limit = limit;
            for (int i = 0; i < limit; i++)
                _queue.Enqueue(default(T));
        }

        public ConcurrentQueue<T> Queue
        {
            get { return _queue; }
        }

        public int Limit { get; set; }

        public void Enqueue(T obj)
        {
            _queue.Enqueue(obj);
            lock (this)
            {
                while (_queue.Count > Limit)
                {
                    T removedObj;
                    _queue.TryDequeue(out removedObj);
                }
            }
        }
    }
}