﻿using System.Drawing;
using System.Windows.Forms;

namespace Discovery
{
    // Singleton Pattern for C#, see: http://www.yoda.arachsys.com/csharp/singleton.html
    // Safe-thread and lazy
    public partial class GazeForm : Form
    {
        public GazeForm()
        {
            InitializeComponent();
            Visible = false;
            Height = Width = 8;
        }

        public override sealed Image BackgroundImage
        {
            get { return base.BackgroundImage; }
            set { base.BackgroundImage = value; }
        }

        public static GazeForm Instance
        {
            get { return Nested.instance; }
        }

        #region Nested type: Nested

        private class Nested
        {
            // Explicit static constructor to tell C# compiler
            // not to mark type as beforefieldinit
            internal static readonly GazeForm instance = new GazeForm();
        }

        #endregion
    }
}