﻿using System.Windows.Forms;

namespace Discovery.PictureGallery
{
    public partial class PictureGalleryInstructionsForm : BaseForm
    {
        private readonly PictureGalleryForm _pictureGalleryForm;

        public PictureGalleryInstructionsForm(PictureGalleryForm pictureGalleryForm)
        {
            InitializeComponent();

            _pictureGalleryForm = pictureGalleryForm;
            _homeButton.Hide();
        }

        internal override void GazeDataReceived(object sender, Tobii.Eyetracking.Sdk.GazeDataEventArgs e)
        {
            base.GazeDataReceived(sender, e);

            if (IsUserGazingAt(_okButton))
                DoButtonInteraction(_okButton);
            else
            {
                FirstTimeUserLooksAtControl = true;
                _okButton.BackgroundImage = null;
            }
        }

        private void _okButton_Click(object sender, System.EventArgs e)
        {
            Close();
        }

        private void PictureGalleryInstructionsForm_FormClosing(object sender, System.Windows.Forms.FormClosingEventArgs e)
        {
            if (_pictureGalleryForm.ConnectedTracker != null)
            {
                _pictureGalleryForm.ConnectedTracker.GazeDataReceived -= GazeDataReceived;
                _pictureGalleryForm.ConnectedTracker.GazeDataReceived += _pictureGalleryForm.GazeDataReceived;
            }
            DialogResult = DialogResult.OK;
            Dispose();
        }
    }
}
