﻿using Discovery.Controls;

namespace Discovery
{
    public partial class PopUpForm : BaseForm
    {
        private readonly ControlsLinksForm _controlsLinksForm;

        public PopUpForm(ControlsLinksForm controlsLinks, string title, string message)
        {
            InitializeComponent();

            _controlsLinksForm = controlsLinks;
            _homeButton.Hide();

            _titleLabel.Text = title;
            _message.Text = message;
            Text = title;

            _titleLabel.Left = _splitContainer.Panel1.Width / 2 - _titleLabel.Width / 2;
        }

        public override sealed string Text
        {
            get { return base.Text; }
            set { base.Text = value; }
        }

        internal override void GazeDataReceived(object sender, Tobii.Eyetracking.Sdk.GazeDataEventArgs e)
        {
            base.GazeDataReceived(sender, e);

            if (IsUserGazingAt(_okButton))
                DoButtonInteraction(_okButton);
            else
            {
                FirstTimeUserLooksAtControl = true;
                _okButton.BackgroundImage = null;
            }
        }

        private void _okButton_Click(object sender, System.EventArgs e)
        {
            Close();
        }

        private void PopUpForm_FormClosing(object sender, System.Windows.Forms.FormClosingEventArgs e)
        {
            if (_controlsLinksForm.ConnectedTracker != null)
            {
                _controlsLinksForm.ConnectedTracker.GazeDataReceived -= GazeDataReceived;
                _controlsLinksForm.ConnectedTracker.GazeDataReceived += _controlsLinksForm.GazeDataReceived;
            }
            Dispose();
        }
    }
}
