﻿using System;
using System.Windows.Forms;

namespace Discovery
{
    public partial class QuitForm : BaseForm
    {
        private static TimeSpan DWELL_TIME_QUIT_FORM_BUTTONS = new TimeSpan(0, 0, 0, 1, 500);
        public QuitForm()
        {
            InitializeComponent();
            _exitApplicationButton.Visible = true;
        }

        internal override void GazeDataReceived(object sender, Tobii.Eyetracking.Sdk.GazeDataEventArgs e)
        {
            base.GazeDataReceived(sender, e);

            var gd = e.GazeDataItem;

            if (GazeDataValid(gd))
            {
                if (IsUserGazingAt(_homeButton))
                    DoButtonInteraction(_homeButton, DWELL_TIME_QUIT_FORM_BUTTONS);

                else if (IsUserGazingAt(_exitApplicationButton))
                    DoButtonInteraction(_exitApplicationButton, DWELL_TIME_QUIT_FORM_BUTTONS);
                else
                {
                    FirstTimeUserLooksAtControl = true;
                    _homeButton.BackgroundImage = null;
                    _exitApplicationButton.BackgroundImage = null;;
                }
            }
        }

        private void _homeButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.No;
            Close();
        }

        private void _exitApplicationButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Yes;
            Close();
        }

        private void QuitForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            Dispose();
        }

        private void QuitForm_Load(object sender, EventArgs e)
        {
            UpdateDwellTimeLabel(DWELL_TIME_QUIT_FORM_BUTTONS);
        }
    }
}
